osl::eval::ml::PtypeYPawnY Class Reference

`#include <minorPiece.h>`

## Public Types

enum | { ONE_DIM = 1440 , DIM = ONE_DIM * EvalStages }

## Static Public Member Functions

static MultiInt | eval (const NumEffectState &state, const CArray2d< int, 2, 9 > &pawns)
template<Player P>
static void | evalWithUpdateBang (const NumEffectState &state, Move moved, const CArray2d< int, 2, 9 > &pawns, MultiInt &last_value)
static void | setUp (const Weights &weights)

## Static Private Member Functions

static int | index (Player player, Ptype ptype, int y, int pawn_y)

## Static Private Attributes

static CArray< MultiInt, 1440 > | table

## Detailed Description

Definition at line 1538 of file minorPiece.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
ONE_DIM |
DIM |

Definition at line 1541 of file minorPiece.h.

## Member Function Documentation

## eval()

osl::MultiInt osl::eval::ml::PtypeYPawnY::eval | ( | const NumEffectState & | state,
|  | const CArray2d< int, 2, 9 > & | pawns )

static

Definition at line 2045 of file minorPiece.cc.

References osl::BLACK, index(), osl::Piece::isOnBoard(), osl::Piece::owner(), osl::PAWN, osl::SimpleState::pieceOf(), osl::Piece::ptype(), osl::Piece::SIZE, osl::Piece::square(), table, osl::Square::x(), and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::OpenMidEndingEval().

## evalWithUpdateBang()

template<osl::Player P>

template void osl::eval::ml::PtypeYPawnY::evalWithUpdateBang< WHITE > | ( | const NumEffectState & | state,
|  | Move | moved,
|  | const CArray2d< int, 2, 9 > & | pawns,
|  | MultiInt & | last_value )

static

Definition at line 2075 of file minorPiece.cc.

References osl::alt(), osl::BLACK, osl::captured(), osl::Move::capturePtype(), osl::Move::from(), index(), osl::Move::isDrop(), osl::Piece::isEmpty(), osl::Move::oldPtype(), osl::Piece::owner(), osl::PAWN, osl::SimpleState::pieceAt(), osl::Move::player(), osl::PPAWN, osl::Move::ptype(), osl::Piece::ptype(), osl::PTYPE_EMPTY, table, osl::Move::to(), osl::Square::x(), and osl::Square::y().

Referenced by osl::eval::ml::OpenMidEndingEval::updateSub().

## index()

int osl::eval::ml::PtypeYPawnY::index | ( | Player | player,
|  | Ptype | ptype,
|  | int | y,
|  | int | pawn_y )

inline static private

Definition at line 1551 of file minorPiece.h.

References osl::WHITE.

Referenced by eval(), and evalWithUpdateBang().

## setUp()

void osl::eval::ml::PtypeYPawnY::setUp | ( | const Weights & | weights | ) |

static

Definition at line 2034 of file minorPiece.cc.

References osl::NStages, ONE_DIM, table, and osl::eval::ml::Weights::value().

## Member Data Documentation

## table

osl::CArray< MultiInt, 1440 > osl::eval::ml::PtypeYPawnY::table

static private

Definition at line 1560 of file minorPiece.h.

Referenced by eval(), evalWithUpdateBang(), and setUp().

The documentation for this class was generated from the following files:

- minorPiece.h
- minorPiece.cc